Subject: [PATCH] bookmark.el: Remove support for renaming ancient "~/.emacs-bkmrks" file
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Date: Tue, 28 May 2019 03:23:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Since at least 1995, there has been a variable `bookmark-old-default-file'
referring to an old default file name "~/.emacs-bkmrks", and some
accompanying code to rename from the old file name to the new one.

Since it's extremely unlikely that someone has a need to recover this kind
of file from before 1995 and use it in a modern Emacs, I think it's about
time to retire this code.  Please see the attached patch for a suggestion.

Thanks,
Stefan Kangas